Page MenuHomePhabricator

Provide PDF option for generated Lillypond score, or make Score 'print' aware
Closed, DeclinedPublic

Description

Currently the Score Extension provides options to download a MIDI file or a generated lillypond file for an embedded score.

An example embedded score is on this page - https://en.wikisource.org/wiki/Page:The_Army_and_Navy_Hymnal.djvu/32

However, in this instance it would be nice to be able to take the generated score and produce print versions, the typical format being PDF. There is not currently an option to do this in the interface presented other than by using lillypond as an external tool.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 9 2018, 7:12 PM
ShakespeareFan00 triaged this task as Low priority.Jun 9 2018, 7:13 PM
ShakespeareFan00 updated the task description. (Show Details)
Reedy added a subscriber: Reedy.Jun 9 2018, 9:06 PM

Copy score to a new page that doesn't have the side by side stuff...

Click "Download as PDF", we get

"Printable version", save as in Chrome...

What exactly are you wanting?

Ebe123 closed this task as Declined.Jun 10 2018, 12:10 AM
Ebe123 added a subscriber: Ebe123.

There is no point in using the PostScript (or the encapsulated variety) for score generation, and it would be bad in terms of storage and performance (more conversions or engravings). The PDF download of pages should be enough, and its limitations are discussed, with plans to improve, in T181322: Improve Score's HTML output so PDF export can render music scores natively, i.e. not as images. As such, this task is declined. Doing the PDF engraving yourself would also give you options that would be more suitable for you rather than optimized for MediaWiki.

Vvjjkkii renamed this task from Provide PDF option for generated Lillypond score, or make Score 'print' aware. to 2bbaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Wargo renamed this task from 2bbaaaaaaa to Provide PDF option for generated Lillypond score, or make Score 'print' aware.Jul 1 2018, 10:31 AM
Wargo closed this task as Declined.
Wargo lowered the priority of this task from High to Low.
Wargo updated the task description. (Show Details)
Wargo added a subscriber: Aklapper.